# load-templates [![NPM version](https://badge.fury.io/js/load-templates.svg)](http://badge.fury.io/js/load-templates)  [![Build Status](https://travis-ci.org/jonschlinkert/load-templates.svg)](https://travis-ci.org/jonschlinkert/load-templates) 
> Load templates.

## Install with [npm](npmjs.org)

```bash
npm i load-templates --save
```

## Usage

```js
var Loader = require('load-templates');
var loader = new Loader();
```

Throw some disorganized templates into the load method:

```js
loader.load('a.md', {a: 'b'});
loader.load('*.md', {a: 'b'});
loader.load(['*.md'], {a: 'b'});
loader.load({path: 'a.md', a: 'b'});
loader.load({'a.md': {path: 'a.md', a: 'b'}});
```

And get shiny, normalized template objects back:

```js
{ 'a.md': {path: 'a.md', content: 'this is content.', a: 'b'},
  'b.md': {path: 'b.md', content: 'this is content.', a: 'b'},
  'c.md': {path: 'c.md', content: 'this is content.', a: 'b'}}
```

## Options

### options.relative

Type: `Boolean` 

Default: `undefined`

When `false` paths will not be made relative to the current working directory.


### Valid formats

See [the docs](./docs/conventions.md) and [tests](./tests) for valid formats. WIP.


## Related
 * [template](https://github.com/jonschlinkert/template): Render templates from any engine. Make custom template types, use layouts on pages, partials or any custom template type, custom delimiters, helpers, middleware, routes, loaders, and lots more. Powers Assemble v0.6.0, Verb v0.3.0 and your application.
 * [verb](https://github.com/assemble/verb): Verb makes it dead simple to generate markdown documentation, using simple templates, with zero configuration required. A project without documentation is like a project that doesn't exist.
 * [assemble](http://assemble.io): Static site generator for Grunt.js, Yeoman and Node.js. Used by Zurb Foundation, Zurb Ink, H5BP/Effeckt, Less.js / lesscss.org, Topcoat, Web Experience Toolkit, and hundreds of other projects to build sites, themes, components, documentation, blogs and gh

## Running tests
Install dev dependencies:

```bash
npm i -d && npm test
```

Or run `gulp`.

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/load-templates/issues)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014-2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 11, 2015._
<!-- deps:mocha -->
